> ## Documentation Index
> Fetch the complete documentation index at: https://juridiqsoftware.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar modelo de tarefa



## OpenAPI

````yaml https://api.juridiq.com.br/api-docs/client/openapi.json patch /task/task-templates/{id}
openapi: 3.1.0
info:
  title: Juridiq API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.juridiq.com.br
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /task/task-templates/{id}:
    patch:
      tags:
        - Tasks
      summary: Atualizar modelo de tarefa
      parameters:
        - schema:
            type: string
            format: uuid
          in: path
          name: id
          required: true
          description: ID do modelo de tarefa
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                description:
                  type: string
                title:
                  type: string
                points:
                  type: number
                priority:
                  type: string
                daysForDue:
                  type: number
                daysForStart:
                  type: number
                createSheet:
                  type: boolean
                estimatedTimeMinutes:
                  type: number
                columnId:
                  type: string
                  nullable: true
                tags:
                  type: array
                  items:
                    type: string
                responsiblesId:
                  type: array
                  items:
                    type: string
                isBusinessDay:
                  type: boolean
                subtasks:
                  type: array
                  items:
                    type: object
                    properties:
                      title:
                        type: string
                      description:
                        type: string
                      status:
                        type: string
                      priority:
                        type: string
                      daysForDue:
                        type: number
                      isBusinessDay:
                        type: boolean
                      points:
                        type: number
                      responsiblesId:
                        type: array
                        items:
                          type: string
                    required:
                      - title
                      - description
                      - status
                      - priority
                      - daysForDue
                      - isBusinessDay
                      - responsiblesId
                    additionalProperties: false
              additionalProperties: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties: {}
                additionalProperties: true
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  translateMessage:
                    type: string
                required:
                  - message
                  - statusCode
                  - translateMessage
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  translateMessage:
                    type: string
                required:
                  - message
                  - statusCode
                  - translateMessage
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-juridiq-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-juridiq-api-key.

````